> ## Documentation Index
> Fetch the complete documentation index at: https://api.lancepilot.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Update Contact Group

> Update an existing contact group in the specified workspace.



## OpenAPI

````yaml PUT /workspaces/{workspace}/contact-groups/{contact-group}
openapi: 3.1.0
info:
  title: Lancepilot API
  description: API for Lancepilot
  version: 1.0.0
  license:
    name: MIT
servers:
  - url: https://lancepilot.com/api/v3
security:
  - bearerAuth: []
paths:
  /workspaces/{workspace}/contact-groups/{contact-group}:
    put:
      tags:
        - Contact Groups
      summary: Update Contact Group
      description: Update an existing contact group in the specified workspace.
      parameters:
        - name: workspace
          in: path
          description: ID of the workspace.
          required: true
          schema:
            type: string
            format: uuid
        - name: contact-group
          in: path
          required: true
          description: ''
          schema:
            type: integer
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: ec23ca5d-0bbf-4576-b37c-48ab285a6e0d
      responses:
        '200':
          $ref: '#/components/responses/Update200'
        '401':
          $ref: '#/components/responses/401'
        '404':
          $ref: '#/components/responses/404'
components:
  responses:
    '401':
      description: ''
      content:
        application/json:
          schema:
            type: object
            properties:
              message:
                type: string
                example: Unauthenticated.
            required:
              - message
    '404':
      description: ''
      content:
        application/json:
          schema:
            type: object
            properties:
              message:
                type: string
                example: Resource not found.
              status:
                type: integer
                example: 404
            required:
              - message
              - status
    Update200:
      description: ''
      content:
        application/json:
          schema:
            type: object
            properties:
              status:
                type: integer
                example: 200
              message:
                type: string
                example: Resource updated successfully.
              data:
                type: object
                description: Updated resource data.
            required:
              - status
              - message
              - data
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer

````